summaryrefslogtreecommitdiff
path: root/tests/chown/separator
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chown/separator')
-rwxr-xr-xtests/chown/separator4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chown/separator b/tests/chown/separator
index 6a52b3015..d65b3712c 100755
--- a/tests/chown/separator
+++ b/tests/chown/separator
@@ -1,7 +1,7 @@
#!/bin/sh
# Make sure "chown USER:GROUP FILE" works, and similar tests with separators.
-# Copyright (C) 2004, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
pwd=`pwd`
t0=`echo "$0" |sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap 'status=$?; (exit $status); exit $status' 1 2 13 15
framework_failure=0